summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStephan Hartmann <sultan@gentoo.org>2020-11-29 19:20:55 +0100
committerStephan Hartmann <sultan@gentoo.org>2020-11-29 19:20:55 +0100
commit50d427860df4e6587bc7364f2adb19f21b41cfb3 (patch)
treeaa3dda40374e70e63090c6acbd8007331e0f5f11 /dev-util
parentx11-wm/ratpoison: drop old (diff)
downloadgentoo-50d427860df4e6587bc7364f2adb19f21b41cfb3.tar.gz
gentoo-50d427860df4e6587bc7364f2adb19f21b41cfb3.tar.bz2
gentoo-50d427860df4e6587bc7364f2adb19f21b41cfb3.zip
dev-util/ninja: version bump to 1.10.2
Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Stephan Hartmann <sultan@gentoo.org>
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/ninja/Manifest1
-rw-r--r--dev-util/ninja/ninja-1.10.2.ebuild132
2 files changed, 133 insertions, 0 deletions
diff --git a/dev-util/ninja/Manifest b/dev-util/ninja/Manifest
index 3c3c3dfd463..8bc1a878f97 100644
--- a/dev-util/ninja/Manifest
+++ b/dev-util/ninja/Manifest
@@ -1,2 +1,3 @@
DIST ninja-1.10.0.tar.gz 210313 BLAKE2B 0a3db145deaea8a990958ad2e812bc18ed014aaba94911a2905b082745a0d08f10ce1113badabaa362f3834540b7bd3858f07e2a5fce268c66d3d6c73e974e76 SHA512 5ed47ef1ff18a03eb73296629679a8617a08ee443e10e28ae9cb24e4506f84fe1eb142888adea9a62364b626b35817def8c55ba956c9b3cbc7b82d3e62293044
DIST ninja-1.10.1.tar.gz 211216 BLAKE2B cb27beeef903ff7c5a00f2ac85b36e66d9c41bcb271edbb6c6d827d5b2b652bacfe3d429a3f966d22fd97495323f83692abf7835f3d6ed3af51a3df9fef180c1 SHA512 9915767a6ffc7147903f346082b5c31fcaeb1e45742754cfaaa642e8ec4c1bd9ec26692a59eb4e2118c397336712a6548e6a16408e094001f8f0c173e67afcc2
+DIST ninja-1.10.2.tar.gz 213959 BLAKE2B b8160ca6d58cfa0edb93d16b7dfb9776d290c42e54b33b78cd925f167c80f8794e4cc30af984a526b8263c7904a734cf0770d3c27283d21d02f18d3e2eb70032 SHA512 895412ae1cbc83c656e92f282602a29300e08274e9dea0da4464202ae556e7a1ab03bec057f23da4756bbd91bd2d744cd7a64b336740fd2782bb4db5c3b7b496
diff --git a/dev-util/ninja/ninja-1.10.2.ebuild b/dev-util/ninja/ninja-1.10.2.ebuild
new file mode 100644
index 00000000000..4fa91eecab5
--- /dev/null
+++ b/dev-util/ninja/ninja-1.10.2.ebuild
@@ -0,0 +1,132 @@
+# Copyright 2012-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+
+inherit bash-completion-r1 elisp-common python-any-r1 toolchain-funcs
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/ninja-build/ninja.git"
+else
+ SRC_URI="https://github.com/ninja-build/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="A small build system similar to make"
+HOMEPAGE="https://ninja-build.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+IUSE="doc emacs test vim-syntax"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ ${PYTHON_DEPS}
+ dev-util/re2c
+ doc? (
+ app-text/asciidoc
+ app-doc/doxygen
+ dev-libs/libxslt
+ )
+ test? ( dev-cpp/gtest )
+"
+RDEPEND="
+ emacs? ( >=app-editors/emacs-23.1:* )
+ vim-syntax? (
+ || (
+ app-editors/vim
+ app-editors/gvim
+ )
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/ninja-cflags.patch
+)
+
+run_for_build() {
+ if tc-is-cross-compiler; then
+ local -x AR=$(tc-getBUILD_AR)
+ local -x CXX=$(tc-getBUILD_CXX)
+ local -x CFLAGS=
+ local -x CXXFLAGS=${BUILD_CXXFLAGS}
+ local -x LDFLAGS=${BUILD_LDFLAGS}
+ fi
+ echo "$@" >&2
+ "$@"
+}
+
+src_compile() {
+ tc-export AR CXX
+
+ # configure.py appends CFLAGS to CXXFLAGS
+ unset CFLAGS
+
+ run_for_build ${EPYTHON} configure.py --bootstrap --verbose || die
+
+ if tc-is-cross-compiler; then
+ mv ninja ninja-build || die
+ ${EPYTHON} configure.py || die
+ ./ninja-build -v ninja || die
+ else
+ ln ninja ninja-build || die
+ fi
+
+ if use doc; then
+ ./ninja-build -v doxygen manual || die
+ fi
+
+ if use emacs; then
+ elisp-compile misc/ninja-mode.el || die
+ fi
+}
+
+src_test() {
+ if ! tc-is-cross-compiler; then
+ # Bug 485772
+ ulimit -n 2048
+ ./ninja -v ninja_test || die
+ ./ninja_test || die
+ fi
+}
+
+src_install() {
+ dodoc README.md CONTRIBUTING.md
+ if use doc; then
+ docinto html
+ dodoc -r doc/doxygen/html/.
+ dodoc doc/manual.html
+ fi
+ dobin ninja
+
+ newbashcomp misc/bash-completion "${PN}"
+
+ if use vim-syntax; then
+ insinto /usr/share/vim/vimfiles/syntax/
+ doins misc/ninja.vim
+
+ echo 'au BufNewFile,BufRead *.ninja set ft=ninja' > "${T}/ninja.vim"
+ insinto /usr/share/vim/vimfiles/ftdetect
+ doins "${T}/ninja.vim"
+ fi
+
+ insinto /usr/share/zsh/site-functions
+ newins misc/zsh-completion _ninja
+
+ if use emacs; then
+ cd misc || die
+ elisp-install ninja ninja-mode.el* || die
+ fi
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}